Package net.shibboleth.idp.profile.context.navigate

# Class WebflowRequestContextProfileRequestContextLookup

java.lang.Object
net.shibboleth.idp.profile.context.navigate.WebflowRequestContextProfileRequestContextLookup

All Implemented Interfaces:
  `Function<RequestContext,ProfileRequestContext>`

public class WebflowRequestContextProfileRequestContextLookup extends Object implements Function<RequestContext,ProfileRequestContext>
A `Function` that extracts the `ProfileRequestContext` from the current Webflow conversation. It is expected that the `ProfileRequestContext` will be bound to the conversation attribute identified by `ProfileRequestContext.BINDING_KEY`.

## Constructor Summary

Constructors
Constructor
Description
`WebflowRequestContextProfileRequestContextLookup()`

## Method Summary

Modifier and Type
Method
Description
`ProfileRequestContext`
`apply(RequestContext requestContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### WebflowRequestContextProfileRequestContextLookup

public WebflowRequestContextProfileRequestContextLookup()

## Method Details

### apply

@Nullable public ProfileRequestContext apply(@Nullable RequestContext requestContext)

Specified by:
  `apply` in interface `Function<RequestContext,ProfileRequestContext>`